import { useConfig } from '@abearxiong/use-config';
import { handleMessage } from './route.ts';
import { server as routerServer } from './modules/router.ts';
import http from 'http';

const config = useConfig();
routerServer.setHandle(handleMessage);

const server = http.createServer((req, res) => {
  // 设置跨域
  res.setHeader('Access-Control-Allow-Origin', '*');
  res.setHeader('Access-Control-Allow-Methods', 'GET, POST');
  res.setHeader('Access-Control-Allow-Headers', 'Content-Type');
  res.setHeader('Access-Control-Max-Age', '86400');
  res.setHeader('Content-Type', 'application/json');
  // routerServer.handle(req, res);
  return routerServer.callback()(req, res);
});

server.listen(config.port, () => {
  console.log(`Server running at http://localhost:${config.port}/`);
});
